<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.ui.newWizards">
      <wizard
            category="org.eclipse.opencert.infra.ui.opencert"
            class="org.eclipse.opencert.sam.contract.wizards.NewContractWizard"
            icon="icons/Contract.gif"
            id="org.eclipse.opencert.sam.contract.wizards.NewContractWizard"
            name="Argumentation Contract">
      </wizard>
      <wizard
            category="org.eclipse.opencert.infra.ui.opencert"
            class="org.eclipse.opencert.sam.contract.integration.wizards.NewIntegrationWizard"
            icon="icons/Integration.gif"
            id="org.eclipse.opencert.sam.contract.integration.wizards.NewIntegrationWizard"
            name="Argumentation Integration">
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <category
            id="org.eclipse.opencert.sam.contract.commands.category"
            name="Argumentation">
      </category>
      <command
            categoryId="org.eclipse.opencert.sam.contract.commands.category"
            id="org.eclipse.opencert.sam.contract.commands.changeAnalysisCommand"
            name="Argumentation Change Analysis">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            class="org.eclipse.opencert.sam.contract.changeanalysis.ArgumentationChangeAnalysisHandler"
            commandId="org.eclipse.opencert.sam.contract.commands.changeAnalysisCommand">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="org.eclipse.opencert.sam.contract.commands.changeAnalysisCommand"
            contextId="org.eclipse.ui.contexts.window"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            sequence="M1+6">
      </key>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu?after=additions">
         <menu
               id="org.eclipse.opencert.sam.contract.menus.sampleMenu"
               label="Argumentation"
               mnemonic="M">
            <command
                  commandId="org.eclipse.opencert.sam.contract.commands.changeAnalysisCommand"
                  id="org.eclipse.opencert.sam.contract.menus.changeAnalysisCommand"
                  mnemonic="S">
            </command>
         </menu>
      </menuContribution>
   </extension>

</plugin>
